Pick the specific entity

Discussion in 'AutoCAD' started by routinel, Feb 21, 2005.

  1. routinel

    routinel Guest

    Hi, Expert

    There are two entities, one is Pline, the other is Line.

    they are duplicated, have same position, same layer, etc.

    How can I pick Pline rather than Line using(entsel) or there is
    other routine.

    thanks in advance.
    routinel
     
    routinel, Feb 21, 2005
    #1
  2. routinel

    Alaspher Guest

    Anything like this:
    Code:
    (setq ssel (ssget ":e:s" '((0 . "*polyline"))))
    (if ssel
    (setq ent (ssname ssel 0))
    )
    Best regards!
     
    Alaspher, Feb 21, 2005
    #2
  3. routinel

    Adesu Guest

    Hi routinel,you can find all object in one entity,test it

    (setq p1 (getpoint "\nCLICK FIRST LOCATION TO FIND OBJECT: "))
    (setq p2 (getcorner p1 "\nCLICK SECOND LOCATION TO FIND OBJECT: "))
    (setq ss (ssget "w" p1 p2))
    (setq cnt 0)
    (setq ssl (sslength ss))
    (repeat ssl
    (setq ssn (ssname ss cnt))
    (setq sse (entget ssn))
    (princ "\n")(princ sse)
    (setq cnt (1+ cnt))
    )
     
    Adesu, Feb 22, 2005
    #3
  4. routinel

    routinel Guest

    I was wondering why you guys are so great.

    routinel
     
    routinel, Feb 23, 2005
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.